<?php
 ##################################################################
 ## Development by CoMMoN web site author http://mirmastera.ru   ##
 ## fportal web site scripts http://fportal.tk                   ##
 ## All rights reserved authors                                  ##
 ##################################################################
if (!is_user()) {header('Location: /');} //Переадресация гостей
if (!is_admin(array(2,3,4))) {header('Location: /');} //Переадресация пользователей не являющихся админами
//Ещё одна проверка прав (на всякий случай)
if (is_admin(array(2,3,4))) {


######################################################################
switch(filtr($_GET['do'])){
###########################################################################################
default;

break;



case 'edit':
$user = $mysql -> query("SELECT * FROM `".PREFIX."users` WHERE `id` = ".ID."")-> fetch_assoc();
$mod_name = 'Редактирование: '.ulogin(num($user['id'])).''; //Имя модуля
$act_name = 'Админка'; //Имя действия

require_once(ROOT.'/kernel/kernelhead.php'); //Подключение шапки
echo '<div class="title">Редактирование: '.ulogin(num($user['id'])).'</div>'; //Вывод заголовка		
		
		if ($user['id']) {
		
				if(isset($_POST['submit']))
				{
				
				$email = filtr($_POST['email']);
				$access = abs(intval($_POST['access']));
				$mysql -> query("UPDATE `".PREFIX."users` SET `email` = '$email', `level` = '$access' WHERE `id` = ".ID."");
				echo'<div class="success">Успешно!</div>';
				echo'<div class="menu">Данные успешно отредактированны!</div>';
				redirect('/?mod=user&act=view&id='.ID,'2');
				
				
				
				}else{
				echo '<form name="form" action="?mod=user&act=admin&do=edit&id='.ID.'&amp;ok=1" method="post">
				Логин: <br/> <u>'.ulogin(num($user['id'])).' </u><br/>
				Статус:<br /><select name="access">
				<option value="0">Не изменять</option>';
				
				if ($user['level'] < 4) {
					echo '<option value="1">Пользователь</option>
					<option value="2">Модератор</option>
					<option value="4">Супер Модератор</option>
					<option value="3">Администратор</option>';
				}
				echo '</select><br />
				E-mail(max50):<br /><input name="email" type="text" maxlength="50" value="'.$user['email'].'" /><br />
				<input name="submit" type="submit" value="Редактировать" />
				</form>';
				}
				
				}else{
				echo'<div class="error"></div>';
				redirect('/?mod=user&act=view&id='.ID.'',2);
				}
				
				
break;
###########################################################################################
}
######################################################################
require_once(ROOT.'/kernel/kernelfoot.php'); //Вывод ног

} //Конец проверки прав доступа

?>